de.esprit.appsuite.nio.ndf

## Enum NotifyTableValue

- java.lang.Object
- - java.lang.Enum<NotifyTableValue>
  - - de.esprit.appsuite.nio.ndf.NotifyTableValue

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NotifyTableValue>

      public enum NotifyTableValue
      extends java.lang.Enum<NotifyTableValue>

  This enum defines how you want to be notified about table data.
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AS_BUFFERED_WORD` Causes table row values to be read and notified as `AsciiWord`s.
    `AS_PROPERTIES` Causes table row values to be read and notified as a `NdfProperties` map, whereas the keys are just the column-names of the table.
    `AS_STRING_ARRAY` Causes table row values to be read and notified as an array of Strings.
    `SKIP` Causes table values to be skipped.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `asBufferedWord()`
    `boolean` | `asProperties()`
    `boolean` | `asStringArray()`
    `boolean` | `isSkip()`
    `static NotifyTableValue` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NotifyTableValue[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AS_PROPERTIES

          public static final NotifyTableValue AS_PROPERTIES

      Causes table row values to be read and notified as a `NdfProperties` map, whereas the keys are just the column-names of the table. This kind of notification provides a way to easily extract the values in the desired type.

    - #### AS_STRING_ARRAY

          public static final NotifyTableValue AS_STRING_ARRAY

      Causes table row values to be read and notified as an array of Strings. Note that a String value is interpreted like a property value.

    - #### AS_BUFFERED_WORD

          public static final NotifyTableValue AS_BUFFERED_WORD

      Causes table row values to be read and notified as `AsciiWord`s. This is the fastest way of notification but it does no interpretation on the data at all.

    - #### SKIP

          public static final NotifyTableValue SKIP

      Causes table values to be skipped. No value notification takes place any more.

  - ### Method Detail

    - #### values

          public static NotifyTableValue[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NotifyTableValue c : NotifyTableValue.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NotifyTableValue valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isSkip

          public boolean isSkip()

    - #### asBufferedWord

          public boolean asBufferedWord()

    - #### asStringArray

          public boolean asStringArray()

    - #### asProperties

          public boolean asProperties()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.